# $Revision: 1.25 $, $Date: 2012/01/31 11:55:22 $
%include	/usr/lib/rpm/macros.perl
Summary:	Log parsing and notification program
Summary(pl.UTF-8):	Program do analizy logów i powiadamiania
Name:		tenshi
Version:	0.12
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://dev.inversepath.com/tenshi/%{name}-%{version}.tar.gz
# Source0-md5:	2b5b19c3b74b3fa7bb2a768b7a9c01ae
Source1:	%{name}.init
Source2:	%{name}.tmpfiles
Patch0:		%{name}-root.patch
Patch1:		%{name}-config.patch
URL:		http://www.inversepath.com/tenshi.html
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Obsoletes:	wasabi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/tenshi

%description
Tenshi is a log monitoring program, designed to watch one or more log
files for lines matching user defined regular expressions and report
on the matches. The regular expressions are assigned to queues which
have an alert interval and a list of mail recipients.

Queues can be set to send a notification as soon as there is a log
line assigned to it, or to send periodic reports.

Additionally, uninteresting fields in the log lines (such as PID
numbers) can be masked with the standard regular expression grouping
operators ( ). This allows cleaner and more readable reports. All
reports are separated by hostname and all messages are condensed when
possible.

%description -l pl.UTF-8
Tenshi to program do monitorowania logów zaprojektowany do oglądania
jednego lub większej liczby plików logów pod kątem linii pasujących do
zdefiniowanych przez użytkownika wyrażeń regularnych i raportowania
tych dopasowań. Wyrażenia regularne są przypisywane do kolejek
mających częstotliwość alarmowania i listę adresatów pocztowych.

Kolejki mogą być konfigurowane do wysyłania powiadomień zaraz po
napotkaniu linii w logu lub wysyłania regularnych raportów.

Dodatkowo nieciekawe pola z linii logów (takie jak numery procesów)
mogą być pokrywane standardowymi operatorami grupowania wyrażeń
regularnych ( ). Daje to bardziej przejrzyste i bardziej czytelne
raporty. Wszystkie raporty są oddzielane nazwą hosta, a wszystkie
wiadomości są tak skondensowane, jak to tylko możliwe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man8,/var/run/tenshi} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 175 %{name}
%useradd -u 175 -d %{_sysconfdir} -g %{name} -c "Tenshi User" %{name}

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%files
%defattr(644,root,root,755)
%doc CREDITS Changelog README tenshi.conf
%attr(755,root,root) %{_sbindir}/*
%attr(750,root,tenshi) %dir %{_sysconfdir}
%attr(640,root,tenshi) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man8/*
%dir %attr(775,root,tenshi) /var/run/tenshi
/usr/lib/tmpfiles.d/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tenshi.spec,v $
Revision 1.25  2012/01/31 11:55:22  baggins
- release 2

Revision 1.24  2012/01/31 11:32:18  baggins
- added tmpfiles config for systemd

Revision 1.23  2010/10/05 12:00:48  glen
- up to 0.12, fixes cpu spinning on pipe mode

Revision 1.22  2010/04/30 14:48:48  glen
- up to 0.11

Revision 1.21  2008/04/07 11:41:46  glen
- release 2

Revision 1.20  2008-04-07 11:41:09  glen
- update to 0.10

Revision 1.19  2007/08/23 19:59:47  glen
- up to 0.8

Revision 1.18  2007/08/19 23:59:14  glen
- update to 0.7

Revision 1.17  2007/07/18 15:20:57  glen
- improved initscript; rel 4

Revision 1.16  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.14  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.13  2006/08/30 13:57:51  glen
- fixed config permissions; rel 2

Revision 1.12  2006/08/30 13:29:19  glen
- add tenshi user/group
- private pid dir
- updated URL and Source0

Revision 1.11  2006/08/30 11:46:11  glen
- new license ISC (distributable)

Revision 1.10  2006/08/30 11:41:36  glen
- updated to 0.5.1

Revision 1.9  2006/05/09 15:52:12  glen
- add debug smtp patch

Revision 1.8  2005/07/27 14:01:01  glen
- convert PreReq to Requires for new rpm
- perl dependencies autodetected (using macros.perl)
- use %service macro

Revision 1.7  2005/07/24 14:44:28  darekr
- updated to 0.3.4
- %verify for config file, md5sum

Revision 1.6  2005/02/03 23:08:14  qboosh
- chkconfig deps

Revision 1.5  2005/01/28 18:56:16  glen
- added chkconfig

Revision 1.4  2004/12/09 22:49:48  qboosh
- pl, removed invalid _sysconfdir usage

Revision 1.3  2004/12/09 08:50:39  glen
- longer %desc (to make program interesting ;)
- add perl R:

Revision 1.2  2004/12/08 23:29:50  ankry
- formatting

Revision 1.1  2004/12/08 21:33:09  glen
- version 0.3.2
- added to PLD CVS

Revision 1.4  2004/07/26 16:48:29  glen
- check for perl version prior making dep on perl-libnet

Revision 1.3  2004/07/22 15:11:56  glen
- up to 0.3.1

Revision 1.2  2004/07/18 22:30:43  glen
- initial as tenshi

Revision 1.1  2004/07/18 22:20:59  glen
- Added to CVS

Revision 1.1  2004/06/23 12:23:28  glen
- Added to CVS
